<?php
// WizyTówka - admin/logowanie.php
if ( !defined('WT') ) exit();

if ( $_GET['reset'] == 2 )
  $komunikat = 'Nowe hasło zostało wysłane. Sprawdź pocztę.';
if ( $_GET['reset'] == 3 )
  $komunikat = 'Wylogowano się.';

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

  if ( $_POST['logowanie'] ) {
    if ( empty($_POST['haslo']) )
      $komunikat = 'Nie podano hasła.';
    elseif ( przygotuj_haslo($_POST['haslo']) == odczyt_konf('uzytkownik','haslo') ) {
      if ( $_POST['czas'] == 60 )
        $czas = time() + 3600 * 2;
      elseif ( $_POST['czas'] == 7 )
        $czas = time() + 3600 * 24 * 7 * 2;
      else {
        $ac = getdate();
        $czas = mktime(0,0,0,$ac['mon'],$ac['mday']+1,$ac['year']);
      }
      $generowany_kod = rand(1000,9999).rand(1000,9999).rand(1000,9999).rand(1000,9999).rand(1000,9999).rand(1000,9999);
      setcookie ( 'WizyTowka_administracja', $generowany_kod, $czas );
      zapis_konf_poj( 'uzytkownik', 'kod', $generowany_kod );
      if ( !empty($a) and !empty($b) )
        header( 'Location: admin.php?a=' . $a . '&b=' . $b . '&kod=' . $generowany_kod );
      elseif ( !empty($a) )
        header( 'Location: admin.php?a=' . $a . '&kod=' . $generowany_kod );
      else
        header( 'Location: admin.php?kod=' . $generowany_kod );
      exit();
    }
    else
      $komunikat = 'Podane hasło jest nieprawidłowe.';
  }
  
  elseif ( $_POST['resetowanie_hasla'] ) {
    if ( empty($_POST['email']) )
      $komunikat = 'Nie podano adresu e-mail.';
    elseif ( $_POST['email'] == odczyt_konf('ustawienia','email') ) {
      $nowe_haslo = rand(1000,9999).rand(1000,9999).rand(1000,9999);
      $adres_admin = odczyt_konf('ustawienia','adres') . '/admin.php';
      $tresc = 'Hasło do twojego panelu administracyjnego zostało zresetowane. Nowe hasło to poniższy ciąg cyfr.' . "\n\n" . $nowe_haslo . "\n\n" . 'Zaloguj się nim na swojej stronie. I pamiętaj – skleroza nie boli.' . "\n\n" . $adres_admin;
      zapis_konf_poj( 'uzytkownik', 'haslo', przygotuj_haslo($nowe_haslo) );
      if ( wiadomosc($tresc) ) {
        header('Location: admin.php?reset=2');
        exit();
      }
      else
        $komunikat = 'Nie udało się wysłać adresu e-mail.';
    }
    else
      $komunikat = 'Podany adres e-mail jest nieprawidłowy.';
  }

}

?>
<!doctype html>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title>WizyTówka</title>
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/pliki/form.css" />
<link rel="Icon" href="<?php echo SYSTEM ?>/pliki/favicon.ico" />
<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
</head>

<body>

<div class="form">

<header><h1>WizyTówka</h1></header>

<form method="post">

<?php if ( !empty($komunikat) ) { ?>
<fieldset class="komunikat">

<legend>&nbsp;</legend>

<div>
<?php echo $komunikat; ?>
</div>

</fieldset>
<?php } ?>

<?php if ( $_GET['reset'] == 1 and odczyt_konf('ustawienia','reset_hasla') ) { ?>
<fieldset>

<legend>Resetowanie hasła</legend>

<table>
<tr> <td class="nazwa">Adres e-mail:</td> <td><input type="text" name="email" required /></td> </tr>
</table>

</fieldset>

<fieldset>

<legend>Informacja</legend>

<p>Na twój adres e-mail zostanie wysłane nowe hasło w postaci ciągu cyfr. Zaloguj się nim i natychmiast zmień hasło na własne.</p>

</fieldset>

<fieldset>

<legend>&nbsp;</legend>

<div>
<input type="submit" value="Wyślij e-mail" /> 
<a href="?" class="reset-hasla">Logowanie</a>
</div>

</fieldset>

<input type="hidden" name="resetowanie_hasla" value="1" />
<?php } else { ?>
<fieldset>

<legend>Logowanie</legend>

<table>
<tr> <td class="nazwa">Hasło:</td> <td><input type="password" name="haslo" required /></td> </tr>
</table>

</fieldset>

<fieldset>

<legend>Czas logowania</legend>

<table>
<tr> <td><label><input type="radio" name="czas" value="24" checked />do końca doby</label></td> <td><label><input type="radio" name="czas" value="7" />dwa tygodnie</label></td> <td><label><input type="radio" name="czas" value="60" />dwie godziny</label></td> </tr>
</table>

</fieldset>

<fieldset>

<legend>&nbsp;</legend>

<div>
<input type="submit" value="Zaloguj się" /> 
<?php if ( odczyt_konf('ustawienia','reset_hasla') ) { ?><a href="?reset=1" class="reset-hasla">Resetowanie hasła</a><?php } ?>
</div>

</fieldset>

<input type="hidden" name="logowanie" value="1" />
<?php } ?>

</form>

</div>

</body>